Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 327823 - Support configurable preflight/postflight actions in
: Support configurable preflight/postflight actions in
: fixed1.8.0.2, fixed1.8.1
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: PowerPC Mac OS X
: -- normal (vote)
: ---
Assigned To: Mark Mentovai
: Gregory Szorc [:gps]
Depends on: 307311
Blocks: 327848
  Show dependency treegraph
Reported: 2006-02-19 09:58 PST by Mark Mentovai
Modified: 2006-02-22 10:41 PST (History)
2 users (show)
dveditz: blocking1.8.0.2+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

Configurable preflight/postflight actions and build date harmonization (10.57 KB, patch)
2006-02-19 10:12 PST, Mark Mentovai
benjamin: review+
Details | Diff | Splinter Review
As checked in (6.91 KB, patch)
2006-02-21 11:39 PST, Mark Mentovai
benjamin: approval‑branch‑1.8.1+
Details | Diff | Splinter Review
As checked in (7.04 KB, patch)
2006-02-21 11:46 PST, Mark Mentovai
dveditz: approval1.8.0.2+
Details | Diff | Splinter Review

Description Mark Mentovai 2006-02-19 09:58:14 PST
This is a requirement for Mac universal builds.  The universal build process will be driven entirely "hands-off" by  A build will be done for each architecture using the multi-project support introduced in bug 307311 and cross-compile support from bug 322578.  After builds for both architectures are complete, they will be merged into a universal binary using the tools in bug 324855.  In order for to manage that process directly as well, it needs to support configurable postflight actions.
Comment 1 Mark Mentovai 2006-02-19 10:00:49 PST
This patch will also introduce build date harmonization, which is technically a separate issue but also involves patches to  This feature enables a configurable, MOZ_BUILD_DATE_DIR, to be set to an OBJDIR from which the bdate or gbdate will be extracted and used as MOZ_BUILD_DATE.  This is needed to ensure that the build IDs will be identical for both halves of Mac universal binaries.
Comment 2 Mark Mentovai 2006-02-19 10:12:28 PST
Created attachment 212394 [details] [diff] [review]
Configurable preflight/postflight actions and build date harmonization

This introduces the following new tunables:

+#   MOZ_BUILD_DATE_DIR   - OBJDIR whose MOZ_BUILD_DATE is to be copied
+#   MOZ_PREFLIGHT_ALL  } - Makefiles to run before any project in
+#   MOZ_PREFLIGHT      }   MOZ_BUILD_PROJECTS, before each project, after
+#   MOZ_POSTFLIGHT     }   each project, and after all projects; these
+#   MOZ_POSTFLIGHT_ALL }   variables contain space-separated lists
Comment 3 Mark Mentovai 2006-02-19 10:13:37 PST
An older version of this patch was used for the Camino 1.0 release.
Comment 4 Benjamin Smedberg [:bsmedberg] 2006-02-21 09:17:42 PST
Comment on attachment 212394 [details] [diff] [review]
Configurable preflight/postflight actions and build date harmonization

for preflight_all and postflight_all, I'd like to pass "MOZ_BUILD_PROJECTS=$(MOZ_BUILD_PROJECTS)" as well. See review comments in bug 327848 for my reasoning (not yet posted of course).

r+ on the preflight/postflight stuff.

I'd like to discuss the builddate stuff with you separately, in particular  I don't understand the sequence of events here and I'd like to reuse instead of inventing a new script.
Comment 5 Mark Mentovai 2006-02-21 11:39:31 PST
Created attachment 212620 [details] [diff] [review]
As checked in

As checked in on the trunk, with the bdate stuff ripped out.  bdate will be handled in a new bug.
Comment 6 Benjamin Smedberg [:bsmedberg] 2006-02-21 11:41:36 PST
Comment on attachment 212620 [details] [diff] [review]
As checked in

a=me once the tboxen cycle green
Comment 7 Mark Mentovai 2006-02-21 11:46:06 PST
Created attachment 212621 [details] [diff] [review]
As checked in

Comment 8 Daniel Veditz [:dveditz] 2006-02-21 17:54:48 PST
So this is FIXED on trunk, right? If it landed on the 1.8 branch please add the fixed1.8.1 keyword.
Comment 9 Daniel Veditz [:dveditz] 2006-02-21 17:55:29 PST
Comment on attachment 212621 [details] [diff] [review]
As checked in

approved for 1.8.0 branch, a=dveditz
Comment 10 Mark Mentovai 2006-02-21 20:10:34 PST
Holding branch checkins for landing of dependency, bug 307311.
Comment 11 Mark Mentovai 2006-02-22 10:41:01 PST
Checked in on HEAD, MOZILLA_1_8_BRANCH, and MOZILLA_1_8_0_BRANCH.

Note You need to log in before you can comment on or make changes to this bug.